Upstream information

CVE-2014-5030 at MITRE

Description

CUPS before 2.0 allows local users to read arbitrary files via a symlink attack on (1) index.html, (2) index.class, (3) index.pl, (4) index.php, (5) index.pyc, or (6) index.py.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.9
Vector AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 887240 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • cups >= 1.3.9-8.46.52.2
  • cups-client >= 1.3.9-8.46.52.2
  • cups-libs >= 1.3.9-8.46.52.2
  • cups-libs-32bit >= 1.3.9-8.46.52.2
Patchnames:
sledsp3-cups
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Module for Development Tools 15 SP1
SUSE Linux Enterprise Module for Legacy Software 12
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
SUSE Linux Enterprise Software Development Kit 11 SP4
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Software Development Kit 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • cups >= 1.3.9-8.46.52.2
  • cups-client >= 1.3.9-8.46.52.2
  • cups-libs >= 1.3.9-8.46.52.2
  • cups-libs-32bit >= 1.3.9-8.46.52.2
  • cups-libs-x86 >= 1.3.9-8.46.52.2
Patchnames:
slessp3-cups
SUSE Linux Enterprise Software Development Kit 11 SP3
  • cups-devel >= 1.3.9-8.46.52.2
Patchnames:
sdksp3-cups
SUSE Linux Enterprise Server 11 SP1 LTSS
  • cups >= 1.3.9-8.46.52.2
  • cups-client >= 1.3.9-8.46.52.2
  • cups-libs >= 1.3.9-8.46.52.2
Builds
SAT Patch Nr: 9560
SUSE Linux Enterprise Server 11 SP1 LTSS
  • cups >= 1.3.9-8.46.52.2
  • cups-client >= 1.3.9-8.46.52.2
  • cups-libs >= 1.3.9-8.46.52.2
  • cups-libs-32bit >= 1.3.9-8.46.52.2
Builds
SAT Patch Nr: 9560
SUSE Linux Enterprise Software Development Kit 11 SP3
  • cups-devel >= 1.3.9-8.46.52.2
Builds
SAT Patch Nr: 9561
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • cups >= 1.3.9-8.46.52.2
  • cups-client >= 1.3.9-8.46.52.2
  • cups-libs >= 1.3.9-8.46.52.2
Builds
SAT Patch Nr: 9561
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • cups >= 1.3.9-8.46.52.2
  • cups-client >= 1.3.9-8.46.52.2
  • cups-libs >= 1.3.9-8.46.52.2
  • cups-libs-32bit >= 1.3.9-8.46.52.2
Builds
SAT Patch Nr: 9561
SUSE Linux Enterprise Server 11 SP3
  • cups >= 1.3.9-8.46.52.2
  • cups-client >= 1.3.9-8.46.52.2
  • cups-libs >= 1.3.9-8.46.52.2
  • cups-libs-x86 >= 1.3.9-8.46.52.2
Builds
SAT Patch Nr: 9561
openSUSE Leap 15.0
  • cups >= 2.2.7-lp150.1.1
  • cups-client >= 2.2.7-lp150.1.1
  • cups-config >= 2.2.7-lp150.1.1
  • libcups2 >= 2.2.7-lp150.1.1
  • libcupscgi1 >= 2.2.7-lp150.1.1
  • libcupsimage2 >= 2.2.7-lp150.1.1
  • libcupsmime1 >= 2.2.7-lp150.1.1
  • libcupsppdc1 >= 2.2.7-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA cups
openSUSE Leap 42.1
  • cups >= 1.7.5-5.6
  • cups-client >= 1.7.5-5.6
  • cups-devel >= 1.7.5-5.6
  • cups-libs >= 1.7.5-5.6
  • cups-libs-32bit >= 1.7.5-5.6
Patchnames:
openSUSE Leap 42.1 GA cups
openSUSE Leap 42.2
  • cups >= 1.7.5-7.10
  • cups-client >= 1.7.5-7.10
  • cups-devel >= 1.7.5-7.10
  • cups-libs >= 1.7.5-7.10
  • cups-libs-32bit >= 1.7.5-7.10
Patchnames:
openSUSE Leap 42.2 GA cups
openSUSE Leap 42.3
  • cups >= 1.7.5-11.1
  • cups-client >= 1.7.5-11.1
  • cups-devel >= 1.7.5-11.1
  • cups-libs >= 1.7.5-11.1
  • cups-libs-32bit >= 1.7.5-11.1
Patchnames:
openSUSE Leap 42.3 GA cups
openSUSE Tumbleweed
  • cups >= 2.1.3-2.3
  • cups-client >= 2.1.3-2.3
  • cups-ddk >= 2.1.3-2.3
  • cups-devel >= 2.1.3-2.3
  • cups-devel-32bit >= 2.1.3-2.3
  • cups-libs >= 2.1.3-2.3
  • cups-libs-32bit >= 2.1.3-2.3
Patchnames:
openSUSE Tumbleweed GA cups


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 cups Released
SUSE Linux Enterprise Desktop 10 SP4 cups Released
SUSE Linux Enterprise Desktop 11 SP1 cups Released
SUSE Linux Enterprise Desktop 11 SP3 cups Released
SUSE Linux Enterprise SDK 11 SP1 cups Released
SUSE Linux Enterprise SDK 11 SP3 cups Released
SUSE Linux Enterprise Server 10 SP3 cups Released
SUSE Linux Enterprise Server 10 SP4 cups Released
SUSE Linux Enterprise Server 10 SP4 LTSS cups Released
SUSE Linux Enterprise Server 11 SP1 cups Released
SUSE Linux Enterprise Server 11 SP1 LTSS cups Released
SUSE Linux Enterprise Server 11 SP3 cups Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 cups Released
SUSE Linux Enterprise Server for VMWare 11 SP3 cups Released